# Revision history for phonetic-languages-simplified-examples-array

## 0.1.0.0 -- 2021-01-02

* First version. Released on an unsuspecting world.

## 0.1.1.0 -- 2021-01-02

* First version revised A. Partially removed the unneeded dependency of mmsyn2.

## 0.1.2.0 -- 2021-01-02

* First version revised A. Removed the unneeded dependency of mmsyn2 (and all the vector-related functionality).
Some cabal file improvements.

## 0.2.0.0 -- 2021-01-04

* Second version. Added a comparative mode to the possibilities of the rewritePoemG3 and the Phonetic.Languages.Lines
 module. Some documentation improvements.

## 0.2.1.0 -- 2021-01-06

* Second version revised A. Added examples (in English) to the README.md file.

## 0.2.2.0 -- 2021-01-20

* Second version revised B. Removed the unneeded hidden dependencies of the vector related packages and functionality (that was 
announced in the 0.1.2.0 version). Fully switched to the GHC.Arr arrays where needed.

## 0.3.0.0 -- 2021-01-28

* Third version. The package has the multiple variations mode for lineVariantsG3 executable that allows to use modifications in the text, e. g. synonyms, paraphrases etc. Added more variants of the properties based on the new dataset for
r-glpk-phonetic-languages-ukrainian-durations package. Added a new module Phonetic.Languages.Parsing for the new functionality. Removed unneeded print-info dependency.

## 0.4.0.0 -- 2021-02-01

* Fourth version. Added new line of rhythmicity evaluation functions ("z"-line). The behaviour of the previous functions also
changed, so it may be needed (in case where the results have some principal meaning, e. g. in scientific research,
not the text itself) to recalculate the results using these functions. Added the possibility to get the Ukrainian
informational messages during the work of the lineVariantsG3 executable (using the "+U" command line option not inside
the groups of options). Some documentation improvements.

## 0.4.0.1 -- 2021-04-17

* Fourth version revised A. Fixed some issues with README.md file. Updated the dependency boundaries for mmsyn2-array package.

## 0.4.1.0 -- 2021-04-19

* Fourth version revised B. Updated the Ukrainian documentation fixing some text issues. See README.md.

## 0.4.2.0 -- 2021-05-31

* Fourth version revised C. Added an English brief instructions to the package.

## 0.5.0.0 -- 2021-07-20

* Fifth version. Added two new lines ("w" and "x" lines) as a new properties evaluation strategies. Updated the dependencies
boundaries accordingly.

## 0.5.0.1 -- 2021-07-21

* Fifth version revised A. Changed the README.md file to the just README to fix the display of the command
line examples in it.

## 0.6.0.0 -- 2021-07-28

* Sixth version. Changed the command line arguments modifiers notation to the small letters,
removed the double ++ sign (changed to just single +) to simplify the command line arguments usage.
Also changed the way to sign the writing to file for the lineVariantsG3 executable. Added new lines of 
properties for the (hypothetic) polyrhythmicity handling. Among them "c", "s", "t", "u", "v" lines are.
Changed the documentation appropriately. Changed the dependencies boundaries. Added the possibility to
'grow lines' for the rewritePoemG3 and propertiesTextG3 executables.

## 0.6.1.0 -- 2021-07-30

Sixth version revised A. Fixed issues with the fixed point of 1.0 (arising from the issue in the dependency package
phonetic-languages-rhythmicity).


## 0.6.2.0 -- 2021-07-31

* Sixth version revised B. Changed the dependency boundaries so that the issues are fixed with '0' and not '0' functions. 
Some code improvements (reduced duplication). 
